1 min de lectura

Google Analytics Dashboard es un plugin para WordPress que permite ver los datos de Google Analytics directamente en el Dashboard de WordPress. Su autor es Carson McDonald.

En versiones previas a la 2.0.4 y con PHP 5.4 este plugin genera un error con un formato similar a:

Este error se debe a que PHP a partir de la versión 5.4 ha añadido cambios en referencia a la manera en que se deben manejar los pasos de parámetros. Como ya lo había mencionado en otra entrada(leer aquí), el paso de parámetros se debe realizar SOLO EN LA FUNCIÓN, pero no en la llamada a la función.

Existen dos soluciones a este problema:

  1. Actualiza el plugin
  2. Modifica el código del plugin para hacer bien las llamadas a las funciones
  3. Deberás modificar las líneas del código donde se hacen llamadas a la función indicando el parámetro con referencia, es decir &$var. Deberá quedar bajo el formato $var

    Y deberá ser cambiada a esta forma:

Compartir
Licenciada en Informática con Maestría en Tecnologías de la Información. Docente por convicción con trece años de experiencia, desarrolladora desde hace nueve años trabajando actualmente con desarrollo WEB para alta disponibilidad, además de ser consultor independiente y capacitador. Participe del movimiento del software libre como fiel apasionada, reconocida por su actividad en la comunidad y su participación en la inclusión.

DEJA UNA RESPUESTA

Please enter your comment!
Please enter your name here